Bug 47760

Summary: css2.1/ layout tests need new Mac baselines for Snow Leopard
Product: WebKit Reporter: Mihai Parparita <mihai>
Component: Tools / TestsAssignee: Mihai Parparita <mihai>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, eric, jamesr, krit, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Attachments:
Description Flags
Patch none

Description Mihai Parparita 2010-10-15 17:55:22 PDT
Going to try to rebaseline a few tests to make sure things still work when using my rebaselining tool (will submit through the commit queue).
Comment 1 Mihai Parparita 2010-10-15 17:58:21 PDT
Created attachment 70934 [details]
Patch
Comment 2 James Robinson 2010-10-15 18:08:46 PDT
Comment on attachment 70934 [details]
Patch

Clearing flags on attachment: 70934

Committed r69903: <http://trac.webkit.org/changeset/69903>
Comment 3 James Robinson 2010-10-15 18:08:53 PDT
All reviewed patches have been landed.  Closing bug.
Comment 4 James Robinson 2010-10-15 18:11:33 PDT
Seems to work perfectly - the SVN metadata looks good on the commit.
Comment 5 Mihai Parparita 2010-10-19 19:06:55 PDT
There's more tests in this directory that need SL baselines.
Comment 6 Dirk Schulze 2010-10-22 01:57:25 PDT
None of the tests pass after this patch on my Snow Leopard machine!
Comment 7 Mihai Parparita 2010-10-22 07:14:09 PDT
(In reply to comment #6)
> None of the tests pass after this patch on my Snow Leopard machine!

Which tests failed? With both of these command lines:

run-webkit-tests --pixel-tests --tolerance 0 css2.1/
new-run-webkit-tests --pixel-tests --tolerance 0 --no-retry-failures css2.1/

The failures that I see are from css2.1/t0804-c5510-padn-00-b-ag.html onward. I've only rebaselined about half the tests so far with http://trac.webkit.org/changeset/69903 and http://trac.webkit.org/changeset/70203 (will do the rest today).
Comment 8 Dirk Schulze 2010-10-22 07:18:48 PDT
I'm sorry, saw the title, tested it and most test failed. But you're right fails for me from css2.1/t0804-c5510-padn-00-b-ag.html
I always use run-webkit-tests -p --tolerance=0.
Comment 9 WebKit Review Bot 2010-10-22 21:09:39 PDT
http://trac.webkit.org/changeset/70378 might have broken GTK Linux 32-bit Debug
Comment 10 Mihai Parparita 2010-10-23 11:09:19 PDT
As of http://trac.webkit.org/changeset/70396 all tests should pass on Snow Leopard with --tolerance 0.